﻿package {

	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import starling.display.Image;
	import starling.textures.Texture;

	public class CachingImage extends Image {

		private var cachedTexture:BitmapData;

		public function CachingImage(_bitmap:Bitmap) {
			// store the texture for later
			cachedTexture = _bitmap.bitmapData;
			// fall back to implementation of parent class
			super(Texture.fromBitmap(_bitmap));
		}
	}
}